import { BasicForm } from "/@/components/_BasicForm";
import { PageAuth } from "/@/components/PageAuth";
import { PageContainer, type Hook, type Event } from "/@/components/PageContainer";

import type { GlobalComponents } from './../types/global.d';

declare module "vue" {
  export interface GlobalComponents {
    BasicForm: typeof BasicForm
    PageAuth: typeof PageAuth
    PageContainer: typeof PageContainer
  }
}

declare type PageHooks = Hook;
declare type PageEvents = Event;
